
{******************************************}
{                                          }
{             FastReport v5.0              }
{          FastReport Server demo          }
{         Copyright (c) 1998-2014          }
{         by Alexander Fediachov,          }
{            Fast Reports Inc.             }
{                                          }
{******************************************}

unit Main;

{$I frx.inc}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  StdCtrls, frxClass, frxDCtrl,
  frxChart, frxRich, frxBarcode, ImgList, ComCtrls, ExtCtrls, frxOLE,
  frxCross, frxServer, frxGradient, frxChBox, Menus, ShellApi,
  frxGZip, Dialogs, frxMD5, frxServerUtils, IniFiles,
  frxServerStat, frxServerConfig, frxVariables;

type
  TMainForm = class(TForm)
    Serv: TfrxReportServer;
    Label13: TLabel;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormShow(Sender: TObject);
  protected
  private
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

{$IFDEF Delphi7}
uses  XPMan;
{$ENDIF}


procedure TMainForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  if Serv <> nil then
  begin
    try
      Serv.Close;
    finally
    end;
  end;
end;

procedure TMainForm.FormShow(Sender: TObject);
begin
    try
      Serv.Open;
    finally
    end;
end;

end.
